echo off
cls
echo ͻ
echo           AGILE INCORPORATED            
echo ͼ
echo.
if "x"%1 == "x" goto :banner            'No arguments, so display instructions
if "x"%2 == "x" goto :needargs          'Need source and target drive info
for %%d in ( a: A: b: B: ) do if "%%d" == "%1" goto sourceok
goto sourcebad

:sourceok                               'Check range of destination drives
for %%d in ( c: C: d: D: e: E: f: F: g: G: ) do if "%%d" == "%2" goto targetok
for %%d in ( h: H: i: I: j: J: k: K: l: L: ) do if "%%d" == "%2" goto targetok
for %%d in ( m: M: n: N: o: O: p: P: q: Q: ) do if "%%d" == "%2" goto targetok
for %%d in ( r: R: s: S: t: T: u: U: v: V: ) do if "%%d" == "%2" goto targetok
for %%d in ( w: W: x: X: y: Y: z: Z: ) do if "%%d" == "%2" goto targetok
goto targetbad

:targetok                               'Make sure target drive exists
if exist %2\nul goto driveok
goto targetbad

:driveok                                'Change to target drive
%2
echo.
echo      Creating Directory %2\agilecap        
cd\
md agilecap
cd agilecap
echo    Copying Files to %2\agilecap Directory  
echo.
copy %1*.*
echo.
echo          Verifying  Installation           
break off
if exist %2agilecap.exe goto check2
echo ERROR:  File agilecap.exe Not Found. 
echo.
goto nofile                             'Exit test sequence if file not there

:check2
if exist %2agilecap.hlp goto check3
echo ERROR:  File agilecap.EXE Not Found. 
echo.
goto nofile

:check3
if exist %2pcldump.exe goto check4
echo ERROR:  File pcldump.exe Not Found. 
echo.
goto nofile

:check4
if exist %2agilecap.doc goto filesok
echo ERROR:  File agilecap.doc Not Found. 
echo.
goto nofile

:check5
if exist %2acaphlp.tvh goto filesok
echo ERROR:  File agilecap.doc Not Found. 
echo.
goto nofile

:nofile
echo.
echo A file was not found. Please reinstall.  If reinstallation is not
echo successful, please call AGILE Customer Support at (800) 538-1634.
echo.
goto end

:filesok
echo         Files Copied and Verified          
echo           Installation Complete            
echo.
echo       Please print file AGILECAP.DOC       
echo             For User's Guide               
echo.

pause
cls
goto end

:banner
echo.
echo        Agile Analyzer/PC - Agilecap INSTALLATION INSTRUCTIONS
echo.
echo        This batch file will create a subdirectory on the target hard drive
echo        called \agilecap, transfer the files, and verify their installation.
echo.
echo        Type INSTALL followed by the the source disk drive letter and the
echo        destination drive letter:
echo.
echo              INSTALL [floppy drive] [hard disk drive] [Enter]
echo.
echo                   For example:   INSTALL B: C: [Enter]
echo.
echo         If you have questions, please call AGILE Customer Support at:
echo.
echo                              TEL (800) 538-1634
echo                              TEL (510) 724-1600
echo                              FAX (510) 724-2222
echo                              BBS (510) 724-8073
echo.
goto end

:needargs
echo ERROR:  Both source and destinations drive must be specified.
echo.
echo EXAMPLE:  INSTALL A: C:
goto end

:sourcebad
echo ERROR:  Invalid source drive. Use A: or B:  (with a colon)
echo.
echo EXAMPLE:  INSTALL A: C:
goto end

:targetbad
echo ERROR:  Invalid destination drive. Use C: or D: or E: etc. (with a colon)
echo.
echo EXAMPLE:  INSTALL A: C:
goto end

:end
